com.google.gwt.resources.client

## Interface ClientBundleWithLookup

All Superinterfaces:
  ClientBundle

    public interface ClientBundleWithLookup
    extends ClientBundle

This is an extension of ClientBundle that allows for name-based lookup of resources. Note that the use of the methods defined within this interface will prevent the compiler from pruning any of the resources declared in the ClientBundle.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ResourcePrototype` `getResource(java.lang.String name)` Find a resource by the name of the function in which it is declared.
`ResourcePrototype[]` `getResources()` A convenience method to iterate over all ResourcePrototypes contained in the ClientBundle.

### Method Detail

#### getResource

    ResourcePrototype getResource(java.lang.String name)

Find a resource by the name of the function in which it is declared.

Parameters:
  `name` - the name of the desired resource
Returns:
  the resource, or `null` if no such resource is defined.

#### getResources

    ResourcePrototype[] getResources()

A convenience method to iterate over all ResourcePrototypes contained in the ClientBundle.